sc::SCMatrix3(3)

NAME
sc::SCMatrix3 -

SYNOPSIS

  Public Member Functions
SCMatrix3 (const SCMatrix3 &)
SCMatrix3 (const RefSCMatrix3 &)
SCMatrix3 (double x[9])
SCMatrix3 (const SCVector3 &p1, const SCVector3 &p2, const SCVector3 &p3)
SCMatrix3 & operator= (const SCMatrix3 &)
SCMatrix3 operator* (double) const
SCMatrix3 operator* (const SCMatrix3 &) const
SCVector3 operator* (const SCVector3 &v) const
SCMatrix3 operator+ (const SCMatrix3 &) const
SCMatrix3 operator- (const SCMatrix3 &) const
double & elem (int i, int j)
const double & elem (int i, int j) const
double & elem (int i)
const double & elem (int i) const
double & operator[] (int i)
const double & operator[] (int i) const
double & operator() (int i, int j)
const double & operator() (int i, int j) const
const double * data () const
void print (std::ostream &=ExEnv::out0()) const

Author

Generated automatically by Doxygen for MPQC from the source code.